#CooSDKConsole {
    max-height: 120px;
    overflow: auto;
    margin-top: 10px;
    background-color: rgba(47, 57, 60, 0.8);
    word-wrap: break-word;
    width: 80%;
    display: block;
    /* color: rgb(47, 57, 60); */
    font-family: Arial;
    font-size: 15px;
    line-height: 30px;
    font-weight: bold;
    color: white;
    padding: 20px;
    background:
        linear-gradient(to top, #4caf50, #4caf50 10px, 10px),
        linear-gradient(to right, #c1ef8c, #c1ef8c 10px, 10px),
        linear-gradient(to bottom, #8bc34a, #8bc34a 10px, 10px),
        linear-gradient(to left, #009688, #009688 10px, 10px);
}

#CooSDKConsole::-webkit-scrollbar {
    width: 4px;
}

#CooSDKConsole::-webkit-scrollbar-thumb {
    background-color: #d9d9d9;
}

@keyframes animated-border {
    0% {
        box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.4);
    }

    100% {
        box-shadow: 0 0 0 20px rgba(255, 255, 255, 0);
    }
}

#CooSDKTooltips {
    position: absolute;
    background-color: rgba(0, 0, 0, 0.8);
    /* word-wrap: break-word;
    width:250px;
    height: 100px; */
    display: block;
    user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;

    animation: animated-border 1.5s infinite;
    font-family: Arial;
    font-size: 18px;
    line-height: 20px;
    font-weight: bold;
    color: white;
    border: 2px solid;
    border-radius: 10px;
    padding: 5px;
}

/* button父级盒子 */
.function-button {
    background: rgba(0, 13, 27, 0.6);
    border: 1px solid;
    border-image: linear-gradient(0deg, #0F54D3, #0CDCFF) 1 1;
    border-radius: 8px;
    padding: 21px 22px 0px 16px;
    max-width: 1320px;
}

.function-button .function-item {
    display: flex;
    margin-bottom: 8px;
    justify-content: flex-start;
    align-items: flex-start;
}

.function-button .function-item .title {
    display: flex;
    align-items: flex-start;
    margin-right: 34px;
    color: #A5D9FF;
    min-width: 100px;
    cursor: pointer;
}

.function-button .function-item .button-box {
    margin-bottom: 2px;
    display: flex;
    flex-wrap: wrap;
    align-items: baseline;
    /* margin-right: 50px; */
}

.function-button .function-item .title img {
    width: 24px;
    height: 22px;
    margin-top: 2px;
}

.function-button .button-box div {
    margin-left: 10px;
    margin-right: 33px;
    margin-bottom: 10px;
    color: rgba(255, 255, 255, 1);
    cursor: pointer;
}

.function-button .button-box div:active {
    color: rgba(255, 255, 255, 0.6);
}

.function-button .button-box div:last-child {
    margin-right: 0;
}

/* 功能说明 */
.function-description {
    width: 80px;
    height: 18px;
    background: rgba(172, 246, 255, 0);
    border: 1px solid #FFFFFF;
    border-radius: 9px;
    font-size: 12px;
    color: #ffffff;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    cursor: pointer;
}

.function-description:active {
    border: 1px solid rgba(255, 255, 255, 0.6)
}

.function-description i {
    display: inline-block;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background: #fff;
    color: #000;
    line-height: 12px;
    text-align: center;
}

/* 下拉框 */
.function-select {
    width: 200px;
    position: relative;
    height: 26px;
    line-height: 26px;
    border: 1px solid rgba(227, 216, 216, 1);
    color: #fff;
    margin-right: 20px;
}

.function-select .icon-xiangxia,
.icon-xiangshang {
    position: absolute;
    right: 4px;
}

.function-select .function-select-value {
    width: 100%;
    display: inline-block;
    text-indent: 6px;
    cursor: pointer;
    position: relative;
}

.function-select .function-select-value:focus {
    outline: none;
}

.function-select .function-select-box {
    position: absolute;
    width: 100%;
    background: #fff;
    top: 33px;
    left: 0;
    display: none;
}

.function-select .function-select-box div:hover {
    background: #f5f7fa;
}

.function-select .function-select-box-item {
    color: #606266;
    padding: 0 6px;
    cursor: pointer;
}